Bug 519051 - Review Request: maven2-plugin-shade - Maven Shade Plugin
Summary: Review Request: maven2-plugin-shade - Maven Shade Plugin
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 18:05 UTC by Andrew Overholt
Modified: 2009-09-01 06:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-01 06:27:22 UTC
jjohnstn: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Andrew Overholt 2009-08-24 18:05:08 UTC
Spec URL: http://overholt.fedorapeople.org/maven2-plugin-shade.spec
SRPM URL: http://overholt.fedorapeople.org/maven2-plugin-shade-1.0-5.fc11.src.rpm
Description:
This plugin provides the capability to package the artifact in an uber-jar,
including its dependencies and to shade - i.e. rename - the packages of some of
the dependencies.

This is a regular full review request.  The old pre-review request was bug #500261.

Comment 1 Jeff Johnston 2009-08-24 19:25:32 UTC
Review Comments:

1. There is a BSD license at the top of the spec.  Should the licensing
   add "and BSD"?

2. The description for the javadoc sub-package should be:

   This package contains the API documentation for %{name}.

   The template has its group as Development/Documentation, not Documentation.

3. The Java packaging guidelines state that there should be:

   Requires: jpackage-utils

4. The following sections from the maven template of the Java
   guidelines are missing.

   %post
   %update_maven_depmap

   %postun
   %update_maven_depmap

Comment 2 Andrew Overholt 2009-08-24 19:39:40 UTC
(In reply to comment #1)
> 1. There is a BSD license at the top of the spec.  Should the licensing
>    add "and BSD"?

The License field is for the contents of the package, not the .spec.

> 2. The description for the javadoc sub-package should be:
> 
>    This package contains the API documentation for %{name}.

Done.

>    The template has its group as Development/Documentation, not Documentation.

That makes rpmlint whine.

> 3. The Java packaging guidelines state that there should be:
> 
>    Requires: jpackage-utils

Fixed.

> 4. The following sections from the maven template of the Java
>    guidelines are missing.
> 
>    %post
>    %update_maven_depmap
> 
>    %postun
>    %update_maven_depmap  

Oops :)  Fixed.

http://overholt.fedorapeople.org/maven2-plugin-shade.spec
http://overholt.fedorapeople.org/maven2-plugin-shade-1.0-6.fc11.src.rpm

P.S. I think you're supposed to set the fedora-review flag to '?' while you're reviewing it.

Comment 3 Jeff Johnston 2009-08-24 20:14:42 UTC
Thanks for addressing the comments.  I have set the Fedora-review flag.  

Package approval waiting on build of package.

Comment 4 Andrew Overholt 2009-08-27 17:43:28 UTC
Now that maven2 is built in rawhide, you can probably just:

yum --enablerepo=rawhide update maven2

and then build this package.  Here's the latest .spec and .src.rpm:

http://overholt.fedorapeople.org/maven2-plugin-shade.spec
http://overholt.fedorapeople.org/maven2-plugin-shade-1.0-7.fc11.src.rpm

Comment 5 Andrew Overholt 2009-08-31 19:39:46 UTC
Here's a fixed maven2:

http://koji.fedoraproject.org/koji/buildinfo?buildID=130018

It isn't yet in the yum repos, but manually downloading the RPMs and then using yum localinstall should work.

Comment 6 Jeff Johnston 2009-08-31 20:35:40 UTC
Build successful.  Approved.

Comment 7 Andrew Overholt 2009-08-31 20:42:24 UTC
New Package CVS Request
=======================
Package Name: maven2-plugin-shade
Short Description: Maven Shade Plugin
Owners: overholt, akurtakov
Branches: 
InitialCC:

Comment 8 Jason Tibbitts 2009-08-31 23:15:13 UTC
CVS done.

Comment 9 Alexander Kurtakov 2009-09-01 06:27:22 UTC
Build in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=130078


Note You need to log in before you can comment on or make changes to this bug.